cURL
curl --request GET \ --url https://api.embedreach.com/api/segments/{id}
{ "success": true, "message": "<string>", "data": { "id": "<string>", "name": "<string>", "createdAt": "<string>", "type": "all_users", "conditions": [ { "field": "userId", "value": [ "<string>" ], "operator": "equals" } ], "description": "<string>" } }
Get a tenant segment by id
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
The id of the segment
Status 200 response
Show child attributes
A friendly name for the segment
The date and time the segment was created
The type of segment
all_users
managed
custom
one_off
sql
The conditions to include in the segment
userId
email
phone
firstName
lastName
The value to compare the field against (string, number, boolean, date)
equals
not_equals
greater_than
less_than
exists
not_exists
equals_month_day
equals_month_day_year
between_month_day
between_month_day_year
array_contains